Connector API
//
Patch Investigation
Updates an investigation by ID.
Operation ID: siem_patch_investigation
Security
BearerAuth
Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.
Array []
The operation to perform. Supported values are add, copy, move, replace, remove, and test.
Enum:"add""copy""move""remove""replace""test"
The path to the field to copy from. This is required for copy and move operations.
- Synqlyhttps://api.synqly.com/v1/siem/investigations/{id}
curl -i -X PATCH \
'https://api.synqly.com/v1/siem/investigations/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string"
}
]'Response
{ "result": { "id": "string", "custom_fields": {}, "raw_data": "string" }, "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }